=== debian/changelog ===
busybox (1:1.20.0-8ubuntu1) raring; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Set V=1 in debian/rules, to get more meaningful build logs.
    - Enable 'mount -f' and mount helpers for all targets.
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - glibc-2.16-ftbfs.patch: fix missing include with glibc 2.16.
    + Refresh busybox-initramfs config to keep it in sync with the featureset
      of the other builds:
      - copybuf size bumped to 64kb
      - enable xargs features.
      - enable CONFIG_FEATURE_PS_LONG.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 13 Mar 2013 15:52:08 +0000

busybox (1:1.20.0-7ubuntu3) raring; urgency=low

  [ Timo Juhani Lindfors ]
  * increase the maximum supported log line length from 256 to 512
    bytes. (Closes: #519356, LP: #1040900)

 -- Adam Stokes <adam.stokes@canonical.com>  Mon, 05 Nov 2012 12:57:13 -0500

busybox (1:1.20.0-7ubuntu2) raring; urgency=low

  * debian/patches/glibc-2.16-ftbfs.patch: fix missing include with
    glibc 2.16.
  * Re-enable NFS support in the static build, as this incompatibility seems
    to have gone away with the combination of 1.20.0 and glibc 2.16.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 29 Oct 2012 00:47:06 +0100

busybox (1:1.20.0-7ubuntu1) raring; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Set V=1 in debian/rules, to get more meaningful build logs.
    - Enable 'mount -f' and mount helpers for all targets.
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - Disable NFS mount in the static build.
  * Dropped changes, included in Debian:
    - Export the dpkg-buildflags to the environment, so we pick up hardening
      now that dpkg doesn't export them for us.
    - Filter out -Werror=format-security from CFLAGS passed by
      dpkg-buildpackage.
    - [deb, static] Enable CGI support for httpd.
    - [udeb] Enable NFS mount, ping and ping6
  * Dropped changes:
    - debian/patches/fix-64-bit-permissions.patch: mkdir: fix permissions
      on 64-bit platforms; included upstream.
  * Refresh busybox-initramfs config to keep it in sync with the featureset
    of the other builds:
    - copybuf size bumped to 64kb
    - enable xargs features.
    - enable CONFIG_FEATURE_PS_LONG.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 25 Oct 2012 01:31:59 +0000

busybox (1:1.19.3-7ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - [udeb] Enable chvt, killall, losetup, NFS mount, od, ping, ping6, and
      stat.
    - [deb, static] Enable CGI support for httpd.
    - Enable 'mount -f' and mount helpers for all targets.
    - Add busybox-initramfs.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - debian/patches/fix-64-bit-permissions.patch: mkdir: fix permissions
      on 64-bit platforms.  Taken from upstream.
    - Filter out -Werror=format-security from CFLAGS passed by
      dpkg-buildpackage, at least for now.
  * Dropped changes, included in Debian:
    - [deb] Enable mdev.
    - Add cross-compiling support.
  * Disable NFS mount in the static build; needs a newer upstream version of
    busybox for compatibility with glibc 2.15.
  * Set V=1 in debian/rules, to get more meaningful build logs.
  * Export the dpkg-buildflags to the environment, so we pick up hardening
    now that dpkg doesn't export them for us.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 May 2012 03:35:20 +0000
