## busybox 1.21.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 VERSION = 1
-PATCHLEVEL = 20
+PATCHLEVEL = 21
 SUBLEVEL = 0
 EXTRAVERSION =
 NAME = Unnamed
@@ -297,6 +297,7 @@
 STRIP		= $(CROSS_COMPILE)strip
 OBJCOPY		= $(CROSS_COMPILE)objcopy
 OBJDUMP		= $(CROSS_COMPILE)objdump
+PKG_CONFIG	?= $(CROSS_COMPILE)pkg-config
 AWK		= awk
 GENKSYMS	= scripts/genksyms/genksyms
 DEPMOD		= /sbin/depmod
@@ -377,4 +378,3 @@
 # separate output directory. This allows convenient use of make in the
 # output directory.
 outputmakefile:
-ifneq ($(KBUILD_SRC),)
