## busybox 1.22.0

=== debian/changelog ===
busybox (1:1.22.0-15ubuntu1) wily; urgency=low

  * Merge from Debian unstable (LP: #1486231).  Remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - Refresh busybox-initramfs config to keep it in sync with the featureset
      of the other builds.  (No changes upstream.)
    - Enable chpasswd in standard and static builds (needed by LXC).
    - Move zz-busybox to busybox-initramfs to ensure we get links to all
      the tools we need, stop shipping it anywhere else.
    - Prefer busybox commands over klibc commands where there is duplication.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 19 Aug 2015 11:30:32 +0100

busybox (1:1.22.0-9ubuntu2) wily; urgency=medium

  * Move zz-busybox to busybox-initramfs to ensure we get links to all
    the tools we need, stop shipping it anywhere else.  (LP: #1481733)
  * Prefer busybox commands over klibc commands where there is duplication.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 07 Aug 2015 13:03:51 +0100

busybox (1:1.22.0-9ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - Refresh busybox-initramfs config to keep it in sync with the featureset
      of the other builds.
    - Enable chpasswd in standard and static builds (needed by LXC).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2014 09:33:47 +0100

busybox (1:1.22.0-8ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1352413).  Remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - Refresh busybox-initramfs config to keep it in sync with the featureset
      of the other builds.
    - Enable chpasswd in standard and static builds (needed by LXC).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 04 Aug 2014 17:16:48 +0200

busybox (1:1.22.0-6ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - Refresh busybox-initramfs config to keep it in sync with the featureset
      of the other builds.
    - Enable chpasswd in standard and static builds (needed by LXC).

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 May 2014 16:51:04 -0400

busybox (1:1.22.0-5ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - Refresh busybox-initramfs config to keep it in sync with the featureset
      of the other builds.
    - Enable chpasswd in standard and static builds (needed by LXC).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 01 May 2014 16:54:03 -0400

busybox (1:1.21.0-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Set V=1 in debian/rules, to get more meaningful build logs.
    - Enable 'mount -f' and mount helpers for all targets.
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - Refresh busybox-initramfs config to keep it in sync with the featureset
      of the other builds.
    - Enable chpasswd in standard and static builds (needed by LXC).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 14 Nov 2013 16:15:35 -0500

busybox (1:1.20.0-9ubuntu2) trusty; urgency=low

  * Enable chpasswd in the standard and static builds (needed by LXC).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Oct 2013 13:00:31 -0400

busybox (1:1.20.0-9ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Set V=1 in debian/rules, to get more meaningful build logs.
    - Enable 'mount -f' and mount helpers for all targets.
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    + Refresh busybox-initramfs config to keep it in sync with the featureset
      of the other builds:
      - copybuf size bumped to 64kb
      - enable xargs features.
      - enable CONFIG_FEATURE_PS_LONG.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 15:59:06 +0100

busybox (1:1.20.0-8.1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Set V=1 in debian/rules, to get more meaningful build logs.
    - Enable 'mount -f' and mount helpers for all targets.
    - [udeb] Enable chvt, killall, losetup, od, and stat.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.

