=== debian/control ===
--- 
+++ 
@@ -4,8 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+# needs for testsuite to run
+  zip,
+# glibc static-nss #754813, 2.19..2.19-11, -12 is ok. Depend on libc-dev-bin
+# as it is the package which is named the same on all architectures
+ libc-dev-bin (>> 2.19-12~) | libc-dev-bin (<< 2.19),
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/d-i/busybox.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/busybox.git
 Homepage: http://www.busybox.net
@@ -15,6 +20,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: busybox-static
 Replaces: busybox-static
+Breaks: initramfs-tools (<<0.99)
 Description: Tiny utilities for small and embedded systems
  BusyBox combines tiny versions of many common UNIX utilities into a single
  small executable. It provides minimalist replacements for the most common
@@ -31,9 +37,11 @@
 
 Package: busybox-static
 Architecture: any
+Built-Using: ${built-using}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: busybox
 Replaces: busybox
+Provides: busybox
 Priority: extra
 Section: shells
 Description: Standalone rescue shell with tons of builtin utilities
@@ -55,8 +63,6 @@
 Package: busybox-initramfs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: busybox-cvs-initramfs
-Replaces: busybox-cvs-initramfs
 Section: shells
 Description: Standalone shell setup for initramfs
  BusyBox combines tiny versions of many common UNIX utilities into a single
@@ -92,9 +98,8 @@
 Package: busybox-syslogd
 Architecture: all
 Depends: busybox (>> ${source:Upstream-Version}) | busybox-static (>> ${source:Upstream-Version}), ${misc:Depends}
-Provides: linux-kernel-log-daemon, system-log-daemon, klogd, syslogd
-Replaces: sysklogd, klogd, inetutils-syslogd
-Conflicts: klogd, syslogd, sysklogd, linux-kernel-log-daemon, system-log-daemon
+Provides: linux-kernel-log-daemon, system-log-daemon
+Conflicts: linux-kernel-log-daemon, system-log-daemon
 Description: Provides syslogd and klogd using busybox
  The system log daemon is responsible for providing logging of
  messages received from programs and facilities on the local host as
@@ -119,7 +124,7 @@
 Architecture: linux-any
 Depends: busybox (>> ${source:Upstream-Version}) | busybox-static (>> ${source:Upstream-Version}), ${misc:Depends}
 Description: Provides the busybox DHCP client implementation
- Busybox contains a very small yet fully function RFC compliant DHCP
+ Busybox contains a very small yet fully functional RFC compliant DHCP
  client formerly known as udhcpc.
  .
  This package contains the glue to use the busybox udhcpc as DHCP
