=== debian/watch ===
version=3
http://busybox.net/downloads/busybox-([\d\.]*)\.tar\.bz2
